package cn.com.qmth.im;

import java.io.IOException;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.Set;

import org.apache.poi.xssf.usermodel.XSSFRow;
import org.apache.poi.xssf.usermodel.XSSFSheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;

public class Temp {
	private final static String sourceDir = "d:/guangkai/";
	public static void main(String[] args) {
		Set<String> ret=readId();
		for(String s:ret) {
			System.out.println(s);
		}
	}
	
	private static Set<String> readId() {
		Set<String> list = new LinkedHashSet<>();
		XSSFWorkbook wb = null;
		try {
			wb = new XSSFWorkbook(sourceDir + "ret.xlsx");
			XSSFSheet sheet = wb.getSheetAt(0);
			int rows = sheet.getLastRowNum();
			for (int i = 1; i <= rows; i++) {
				XSSFRow row = sheet.getRow(i);
				String code = row.getCell(1).getStringCellValue().trim();
				list.add(code);
				if(i==2000) {
					break;
				}
			}
		} catch (IOException e) {
			throw new RuntimeException(e);
		} finally {
			if (wb != null) {
				try {
					wb.close();
				} catch (IOException e) {
				}
			}
		}
		return list;
	}
}
