package cn.com.qmth.im;

import java.io.IOException;
import java.util.Map;

import org.apache.commons.io.IOUtils;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import com.google.common.collect.Maps;

import cn.com.qmth.param.Param;
import okhttp3.Response;

public class ClearProp {

	private static Logger logger = LogManager.getLogger(ClearProp.class);
	private static String batch = "230821";
	
	public static void main(String[] args) {
		logger.debug("**********************开始");
		clear();
		logger.debug("**********************结束");
	}


	private static void clear() {
		Map<String, String> params = Maps.newHashMap();
		params.put("rootOrgId", Param.rootOrgId);
		params.put("batch", batch);
		Map<String, String> headers = Maps.newHashMap();
		headers.put("key", Param.key);
		headers.put("token", Param.token);
		Response resp = null;
		try {
			resp = OKHttpUtil.call(HttpMethod.POST, Param.host+"/api/ecs_ques/importYunkaiProp/clear", headers, params);
			if (resp.code() != 200) {
				throw new RuntimeException("body:" + resp.body().string());
			}
		} catch (IOException e) {
			throw new RuntimeException(e);
		} finally {
			IOUtils.closeQuietly(resp);
			OKHttpUtil.close();
		}
	}

}
