package cn.com.qmth.run;

import java.util.Date;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import cn.com.qmth.im.DeleteQuestionProducer;

/**
 * 多线程删除小题。一个线程处理一个课程的数据
 */
public class DeleteQuestionMulti {

    private static Logger logger = LogManager.getLogger(DeleteQuestionMulti.class);

    public static void main(String[] args) {
        logger.debug("删除开始");
        Date start = new Date();
        try {
            DeleteQuestionProducer producer = new DeleteQuestionProducer();
            producer.startDispose(8);
        } catch (Exception e) {
            logger.error(e.getCause(), e);
        }
        Date end = new Date();
        logger.debug("删除结束，耗时：" + ((end.getTime() - start.getTime()) / 1000));
    }

}
